# Generated by Django 3.2.21 on 2023-10-02 08:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Keyword',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(unique=True)),
                ('text_de', models.CharField(max_length=40)),
                ('text_en', models.CharField(max_length=40)),
            ],
            options={
                'verbose_name': 'Keyword',
                'verbose_name_plural': 'keywords',
            },
        ),
        migrations.CreateModel(
            name='Searchable',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title_de', models.CharField(default='Nicht übersetzt', max_length=50)),
                ('title_en', models.CharField(default='Not translated', max_length=50)),
                ('subtitle_de', models.CharField(blank=True, max_length=50)),
                ('subtitle_en', models.CharField(blank=True, max_length=50)),
                ('desc_de', models.TextField(blank=True, default='Keine Beschreibung', max_length=250)),
                ('desc_en', models.TextField(blank=True, default='no description', max_length=250)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('update', models.DateTimeField(blank=True, null=True)),
                ('suburl', models.CharField(blank=True, max_length=200, null=True)),
                ('public', models.BooleanField(default=False)),
                ('keywords', models.ManyToManyField(blank=True, to='start.Keyword')),
            ],
            options={
                'verbose_name': 'Searchable',
                'verbose_name_plural': 'Searchables',
            },
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('searchable_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, to='start.searchable')),
                ('url', models.URLField(primary_key=True, serialize=False, unique=True)),
                ('favicon', models.ImageField(blank=True, null=True, upload_to='img/links/favicons')),
                ('status', models.BooleanField(default=False)),
                ('personal', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'Link',
                'verbose_name_plural': 'Links',
            },
            bases=('start.searchable',),
        ),
        migrations.CreateModel(
            name='StaticSite',
            fields=[
                ('searchable_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='start.searchable')),
            ],
            options={
                'verbose_name': 'static site',
                'verbose_name_plural': 'static sites',
            },
            bases=('start.searchable',),
        ),
    ]
